
Name: mono-nunit22
Version: 2.2.10
Release: alt2
Summary: Unit-testing framework for .NET
License: MIT with advertising
Group: Development/Other

Url: http://www.nunit.org/
Packager: Mono Maintainers Team <mono@packages.altlinux.org>

Source: http://downloads.sourceforge.net/nunit/NUnit-%version-src.zip
Source1: nunit22.pc
Patch0: nunit22-mono.patch
Patch1: nunit22-key.patch

# Automatically added by buildreq on Tue Nov 11 2008
BuildRequires: nant unzip

BuildRequires: /proc
BuildPreReq: rpm-build-mono mono-devel mono-mcs

%description
NUnit is a unit-testing framework for all .Net languages. Initially ported from
JUnit, this xUnit based unit testing tool is written entirely in C# and has
been completely redesigned to take advantage of many .NET language features,
for example custom attributes and other reflection related capabilities. NUnit
brings xUnit to all .NET languages.

%package doc
Summary: documentation and examples for mono-nunit
Group: Documentation
BuildArch: noarch

%description doc
%summary

This package contains nunit-2.2 documentation and samples.

%prep
%setup -q -c -n %name-%version
%patch0 -p1
%patch1 -p1 -b .key

%build
sn -k nunit.snk
cd src
nant -nologo mono-2.0 release -D:install.prefix=%_prefix

%install
cd src/
nant -nologo mono-2.0 copy-bins -D:install.prefix=%_prefix -D:install.destdir=%buildroot

mkdir -p %buildroot%_libdir/pkgconfig
cp -p %SOURCE1 %buildroot%_libdir/pkgconfig
mkdir -p %buildroot%_monogacdir
cd package/NUnit-%version
gacutil -i bin/nunit-console.exe -f -package nunit22 -root %buildroot/usr/lib
gacutil -i bin/nunit-console-runner.dll -f -package nunit22 -root %buildroot/usr/lib
gacutil -i bin/nunit.core.dll -f -package nunit22 -root %buildroot/usr/lib
gacutil -i bin/nunit.core.extensions.dll -f -package nunit22 -root %buildroot/usr/lib
gacutil -i bin/nunit.framework.dll -f -package nunit22 -root %buildroot/usr/lib
gacutil -i bin/nunit.mocks.dll -f -package nunit22 -root %buildroot/usr/lib
gacutil -i bin/nunit.util.dll -f -package nunit22 -root %buildroot/usr/lib

%files
%doc src/license.rtf
%_monodir/nunit22
%_monogacdir/*
%_pkgconfigdir/*

%files doc
%doc doc
%doc samples

%changelog
* Wed Nov 19 2008 Alexey Shabalin <shaba@altlinux.ru> 2.2.10-alt2
- add doc package

* Sun Nov 09 2008 Alexey Shabalin <shaba@altlinux.ru> 2.2.10-alt1
- initial build for ALTLinux

